EN(4) | Kernel Interfaces Manual | EN(4)

# NAME

en — Midway-based ATM interfaces device driver

# SYNOPSIS

en* at pci? dev ? function ?
en* at sbus? slot ? offset ?

# DESCRIPTION

The en device driver supports Midway-based ATM interfaces including the Efficient Networks, Inc. ENI-155 and Adaptec 5900 and 5905.

# OPTIONS

The Efficient Networks, Inc. and Adaptec interfaces use significantly different DMA engines. In order to reduce the size of the en driver object, exactly one of the following options may be placed in the kernel configuration file:

MIDWAY_ADPONLY
  Include support for Adaptec interfaces only.
MIDWAY_ENIONLY
  Include support for Efficient Networks, Inc. interfaces only.

# HARDWARE

Cards supported by the en driver include:

- Efficient Networks, Inc. ENI-155
- Adaptec 5900 and 5905

# SEE ALSO

intro(4), pci(4), sbus(4), ifconfig(8)

# BUGS

The Sbus attachment of the en driver only currently functions on sun4c class systems.

November 10, 1997 | NetBSD 6.0